首页 » Ruby » IOS pod最新的安装和使用方法

IOS pod最新的安装和使用方法

原文 http://blog.csdn.net/z979451341/article/details/78798676

2017-12-15 02:01:48阅读(427)

1.安装
首先需要知道淘宝的ruby软件源不能用,现在可以用这个Ruby China 社区专注维护的这个源(https://gems.ruby-china.org/)。

首先打开终端执行以下命令删除原来的ruby源:

gem sources –remove https://rubygems.org/

然后添加之前说的源

gem sources -a https://gems.ruby-china.org/

查看新源是否替换成功

gem sources -l

然后安装pod,执行命令sudo gem install cocoapods就行了。

2.使用

首先在终端cd 到目标项目目录下,就是和xcodeproj后缀的文件同一目录下。
$ cd [项目路径]

然后创建和编辑Podfile

$ vim Podfile

命令执行完后,首先输入 i 才能进入编辑模式,输入以下数据,然后按下ESC键,输入:wq,保存并退出

 # 使用时需要新建一个名为 Podfile 的文件,以如下格式,将依赖的库名字依次列在文件中即可
  # 指定平台和系统版本
  platform :IOS, '8.0'
  # 表示可以使用 swift 的框架
use_frameworks!
  # 这个是 cocoapods 升级 1.0 后必须的
 #  MyApp 就是 项目名称
target 'MyApp' do
      # 指定库 和 库的版本
      pod 'JSONKit',       '~> 1.4'
      pod 'Reachability',  '~> 3.0.0'
      pod 'ASIHTTPRequest'
      pod 'RegexKitLite'
end

然后执行Podfile文件
$ pod install

这个时候我们去项目目录下就会发现多了一些文件和文件夹,我们点击xcworkspace后缀的文件,就可以打开使用了pod的项目了。

还需要说的是那个Podfile编辑的时候我发现即便都不确定框架版版本一般都会下载最新版本的,这个以后可以不用输入版本号。

最新发布

CentOS专题

关于本站

5ibc.net旗下博客站精品博文小部分原创、大部分从互联网收集整理。尊重作者版权、传播精品博文,让更多编程爱好者知晓!

小提示

按 Ctrl+D 键,
把本文加入收藏夹